Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstanceOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static final class JBPMMessages.ProcessInstance.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>
implements JBPMMessages.ProcessInstanceOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance`

Method Summary
`JBPMMessages.ProcessInstance.Builder` | `addAllCompletedNodeIds(Iterable<String> values)` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance.Builder` | `addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `addAllIterationLevels(Iterable<? extends JBPMMessages.IterationLevel> values)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `addAllSwimlaneContext(Iterable<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstance> values)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `addCompletedNodeIds(String value)` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance.Builder` | `addCompletedNodeIdsBytes(com.google.protobuf.ByteString value)` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `addIterationLevels(int index, JBPMMessages.IterationLevel.Builder builderForValue)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `addIterationLevels(int index, JBPMMessages.IterationLevel value)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `addIterationLevels(JBPMMessages.IterationLevel.Builder builderForValue)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `addIterationLevels(JBPMMessages.IterationLevel value)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.IterationLevel.Builder` | `addIterationLevelsBuilder()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.IterationLevel.Builder` | `addIterationLevelsBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `addSwimlaneContextBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `addSwimlaneContextBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.Variable.Builder` | `addVariableBuilder()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance` | `build()`
`JBPMMessages.ProcessInstance` | `buildPartial()`
`JBPMMessages.ProcessInstance.Builder` | `clear()`
`JBPMMessages.ProcessInstance.Builder` | `clearCompletedNodeIds()` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance.Builder` | `clearDescription()` `optional string description = 15;`
`JBPMMessages.ProcessInstance.Builder` | `clearExclusiveGroup()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `clearId()` `optional int64 id = 2;`
`JBPMMessages.ProcessInstance.Builder` | `clearIterationLevels()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `clearNodeInstance()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `clearNodeInstanceCounter()` `optional int64 node_instance_counter = 5;`
`JBPMMessages.ProcessInstance.Builder` | `clearParentProcessInstanceId()` `optional int64 parent_process_instance_id = 12;`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessId()` `optional string process_id = 3;`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessType()` `optional string process_type = 1;`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessXml()` `optional string process_xml = 11;`
`JBPMMessages.ProcessInstance.Builder` | `clearState()` `optional int32 state = 4;`
`JBPMMessages.ProcessInstance.Builder` | `clearSwimlaneContext()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `clearVariable()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `clone()`
`String` | `getCompletedNodeIds(int index)` `repeated string completedNodeIds = 13;`
`com.google.protobuf.ByteString` | `getCompletedNodeIdsBytes(int index)` `repeated string completedNodeIds = 13;`
`int` | `getCompletedNodeIdsCount()` `repeated string completedNodeIds = 13;`
`List<String>` | `getCompletedNodeIdsList()` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance` | `getDefaultInstanceForType()`
`String` | `getDescription()` `optional string description = 15;`
`com.google.protobuf.ByteString` | `getDescriptionBytes()` `optional string description = 15;`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `getExclusiveGroupBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>` | `getExclusiveGroupBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`int` | `getExclusiveGroupCount()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`long` | `getId()` `optional int64 id = 2;`
`JBPMMessages.IterationLevel` | `getIterationLevels(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.IterationLevel.Builder` | `getIterationLevelsBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`List<JBPMMessages.IterationLevel.Builder>` | `getIterationLevelsBuilderList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`int` | `getIterationLevelsCount()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `getNodeInstanceBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`List<JBPMMessages.ProcessInstance.NodeInstance.Builder>` | `getNodeInstanceBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`int` | `getNodeInstanceCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`long` | `getNodeInstanceCounter()` `optional int64 node_instance_counter = 5;`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`long` | `getParentProcessInstanceId()` `optional int64 parent_process_instance_id = 12;`
`String` | `getProcessId()` `optional string process_id = 3;`
`com.google.protobuf.ByteString` | `getProcessIdBytes()` `optional string process_id = 3;`
`String` | `getProcessType()` `optional string process_type = 1;`
`com.google.protobuf.ByteString` | `getProcessTypeBytes()` `optional string process_type = 1;`
`String` | `getProcessXml()` `optional string process_xml = 11;`
`com.google.protobuf.ByteString` | `getProcessXmlBytes()` `optional string process_xml = 11;`
`int` | `getState()` `optional int32 state = 4;`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `getSwimlaneContextBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>` | `getSwimlaneContextBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`int` | `getSwimlaneContextCount()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`boolean` | `hasDescription()` `optional string description = 15;`
`boolean` | `hasId()` `optional int64 id = 2;`
`boolean` | `hasNodeInstanceCounter()` `optional int64 node_instance_counter = 5;`
`boolean` | `hasParentProcessInstanceId()` `optional int64 parent_process_instance_id = 12;`
`boolean` | `hasProcessId()` `optional string process_id = 3;`
`boolean` | `hasProcessType()` `optional string process_type = 1;`
`boolean` | `hasProcessXml()` `optional string process_xml = 11;`
`boolean` | `hasState()` `optional int32 state = 4;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(JBPMMessages.ProcessInstance other)`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.Builder` | `removeExclusiveGroup(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `removeIterationLevels(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `removeNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `removeSwimlaneContext(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `removeVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `setCompletedNodeIds(int index, String value)` `repeated string completedNodeIds = 13;`
`JBPMMessages.ProcessInstance.Builder` | `setDescription(String value)` `optional string description = 15;`
`JBPMMessages.ProcessInstance.Builder` | `setDescriptionBytes(com.google.protobuf.ByteString value)` `optional string description = 15;`
`JBPMMessages.ProcessInstance.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
`JBPMMessages.ProcessInstance.Builder` | `setId(long value)` `optional int64 id = 2;`
`JBPMMessages.ProcessInstance.Builder` | `setIterationLevels(int index, JBPMMessages.IterationLevel.Builder builderForValue)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `setIterationLevels(int index, JBPMMessages.IterationLevel value)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstanceCounter(long value)` `optional int64 node_instance_counter = 5;`
`JBPMMessages.ProcessInstance.Builder` | `setParentProcessInstanceId(long value)` `optional int64 parent_process_instance_id = 12;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessId(String value)` `optional string process_id = 3;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessIdBytes(com.google.protobuf.ByteString value)` `optional string process_id = 3;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessType(String value)` `optional string process_type = 1;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessTypeBytes(com.google.protobuf.ByteString value)` `optional string process_type = 1;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessXml(String value)` `optional string process_xml = 11;`
`JBPMMessages.ProcessInstance.Builder` | `setProcessXmlBytes(com.google.protobuf.ByteString value)` `optional string process_xml = 11;`
`JBPMMessages.ProcessInstance.Builder` | `setState(int value)` `optional int32 state = 4;`
`JBPMMessages.ProcessInstance.Builder` | `setSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `setSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
`JBPMMessages.ProcessInstance.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
`JBPMMessages.ProcessInstance.Builder` | `setVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 8;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### clear

    public JBPMMessages.ProcessInstance.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### clone

    public JBPMMessages.ProcessInstance.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(JBPMMessages.ProcessInstance other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.Builder>`
  Throws:
    `IOException`

### hasProcessType

    public boolean hasProcessType()

  `optional string process_type = 1;`

  Specified by:
    `hasProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessType

    public String getProcessType()

  `optional string process_type = 1;`

  Specified by:
    `getProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessTypeBytes

    public com.google.protobuf.ByteString getProcessTypeBytes()

  `optional string process_type = 1;`

  Specified by:
    `getProcessTypeBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessType

    public JBPMMessages.ProcessInstance.Builder setProcessType(String value)

  `optional string process_type = 1;`

### clearProcessType

    public JBPMMessages.ProcessInstance.Builder clearProcessType()

  `optional string process_type = 1;`

### setProcessTypeBytes

    public JBPMMessages.ProcessInstance.Builder setProcessTypeBytes(com.google.protobuf.ByteString value)

  `optional string process_type = 1;`

### hasId

    public boolean hasId()

  `optional int64 id = 2;`

  Specified by:
    `hasId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getId

    public long getId()

  `optional int64 id = 2;`

  Specified by:
    `getId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setId

    public JBPMMessages.ProcessInstance.Builder setId(long value)

  `optional int64 id = 2;`

### clearId

    public JBPMMessages.ProcessInstance.Builder clearId()

  `optional int64 id = 2;`

### hasProcessId

    public boolean hasProcessId()

  `optional string process_id = 3;`

  Specified by:
    `hasProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessId

    public String getProcessId()

  `optional string process_id = 3;`

  Specified by:
    `getProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessIdBytes

    public com.google.protobuf.ByteString getProcessIdBytes()

  `optional string process_id = 3;`

  Specified by:
    `getProcessIdBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessId

    public JBPMMessages.ProcessInstance.Builder setProcessId(String value)

  `optional string process_id = 3;`

### clearProcessId

    public JBPMMessages.ProcessInstance.Builder clearProcessId()

  `optional string process_id = 3;`

### setProcessIdBytes

    public JBPMMessages.ProcessInstance.Builder setProcessIdBytes(com.google.protobuf.ByteString value)

  `optional string process_id = 3;`

### hasState

    public boolean hasState()

  `optional int32 state = 4;`

  Specified by:
    `hasState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getState

    public int getState()

  `optional int32 state = 4;`

  Specified by:
    `getState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setState

    public JBPMMessages.ProcessInstance.Builder setState(int value)

  `optional int32 state = 4;`

### clearState

    public JBPMMessages.ProcessInstance.Builder clearState()

  `optional int32 state = 4;`

### hasNodeInstanceCounter

    public boolean hasNodeInstanceCounter()

  `optional int64 node_instance_counter = 5;`

  Specified by:
    `hasNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCounter

    public long getNodeInstanceCounter()

  `optional int64 node_instance_counter = 5;`

  Specified by:
    `getNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setNodeInstanceCounter

    public JBPMMessages.ProcessInstance.Builder setNodeInstanceCounter(long value)

  `optional int64 node_instance_counter = 5;`

### clearNodeInstanceCounter

    public JBPMMessages.ProcessInstance.Builder clearNodeInstanceCounter()

  `optional int64 node_instance_counter = 5;`

### hasProcessXml

    public boolean hasProcessXml()

  `optional string process_xml = 11;`

  Specified by:
    `hasProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessXml

    public String getProcessXml()

  `optional string process_xml = 11;`

  Specified by:
    `getProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessXmlBytes

    public com.google.protobuf.ByteString getProcessXmlBytes()

  `optional string process_xml = 11;`

  Specified by:
    `getProcessXmlBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessXml

    public JBPMMessages.ProcessInstance.Builder setProcessXml(String value)

  `optional string process_xml = 11;`

### clearProcessXml

    public JBPMMessages.ProcessInstance.Builder clearProcessXml()

  `optional string process_xml = 11;`

### setProcessXmlBytes

    public JBPMMessages.ProcessInstance.Builder setProcessXmlBytes(com.google.protobuf.ByteString value)

  `optional string process_xml = 11;`

### hasParentProcessInstanceId

    public boolean hasParentProcessInstanceId()

  `optional int64 parent_process_instance_id = 12;`

  Specified by:
    `hasParentProcessInstanceId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getParentProcessInstanceId

    public long getParentProcessInstanceId()

  `optional int64 parent_process_instance_id = 12;`

  Specified by:
    `getParentProcessInstanceId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setParentProcessInstanceId

    public JBPMMessages.ProcessInstance.Builder setParentProcessInstanceId(long value)

  `optional int64 parent_process_instance_id = 12;`

### clearParentProcessInstanceId

    public JBPMMessages.ProcessInstance.Builder clearParentProcessInstanceId()

  `optional int64 parent_process_instance_id = 12;`

### hasDescription

    public boolean hasDescription()

  `optional string description = 15;`

  Specified by:
    `hasDescription` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getDescription

    public String getDescription()

  `optional string description = 15;`

  Specified by:
    `getDescription` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getDescriptionBytes

    public com.google.protobuf.ByteString getDescriptionBytes()

  `optional string description = 15;`

  Specified by:
    `getDescriptionBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setDescription

    public JBPMMessages.ProcessInstance.Builder setDescription(String value)

  `optional string description = 15;`

### clearDescription

    public JBPMMessages.ProcessInstance.Builder clearDescription()

  `optional string description = 15;`

### setDescriptionBytes

    public JBPMMessages.ProcessInstance.Builder setDescriptionBytes(com.google.protobuf.ByteString value)

  `optional string description = 15;`

### getSwimlaneContextList

    public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

  Specified by:
    `getSwimlaneContextList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextCount

    public int getSwimlaneContextCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

  Specified by:
    `getSwimlaneContextCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContext

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

  Specified by:
    `getSwimlaneContext` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder setSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### setSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder setSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addAllSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addAllSwimlaneContext(Iterable<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstance> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### clearSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder clearSwimlaneContext()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### removeSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder removeSwimlaneContext(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### getSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder getSwimlaneContextBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### getSwimlaneContextOrBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

  Specified by:
    `getSwimlaneContextOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

  Specified by:
    `getSwimlaneContextOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder addSwimlaneContextBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### addSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder addSwimlaneContextBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### getSwimlaneContextBuilderList

    public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder> getSwimlaneContextBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setNodeInstance

    public JBPMMessages.ProcessInstance.Builder setNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### setNodeInstance

    public JBPMMessages.ProcessInstance.Builder setNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addAllNodeInstance

    public JBPMMessages.ProcessInstance.Builder addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### clearNodeInstance

    public JBPMMessages.ProcessInstance.Builder clearNodeInstance()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### removeNodeInstance

    public JBPMMessages.ProcessInstance.Builder removeNodeInstance(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### getNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder getNodeInstanceBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### getNodeInstanceBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstance.Builder> getNodeInstanceBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

  Specified by:
    `getVariableList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableCount

    public int getVariableCount()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

  Specified by:
    `getVariableCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

  Specified by:
    `getVariable` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setVariable

    public JBPMMessages.ProcessInstance.Builder setVariable(int index,
                                                            JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### setVariable

    public JBPMMessages.ProcessInstance.Builder setVariable(int index,
                                                            JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(int index,
                                                            JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(int index,
                                                            JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addAllVariable

    public JBPMMessages.ProcessInstance.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### clearVariable

    public JBPMMessages.ProcessInstance.Builder clearVariable()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### removeVariable

    public JBPMMessages.ProcessInstance.Builder removeVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### getVariableBuilder

    public JBPMMessages.Variable.Builder getVariableBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### getVariableBuilderList

    public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 8;`

### getExclusiveGroupList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

  Specified by:
    `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupCount

    public int getExclusiveGroupCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

  Specified by:
    `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroup

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

  Specified by:
    `getExclusiveGroup` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder setExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder setExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addAllExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### clearExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder clearExclusiveGroup()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### removeExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder removeExclusiveGroup(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### getExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder getExclusiveGroupBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### getExclusiveGroupOrBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

  Specified by:
    `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

  Specified by:
    `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### getExclusiveGroupBuilderList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder> getExclusiveGroupBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

### getCompletedNodeIdsList

    public List<String> getCompletedNodeIdsList()

  `repeated string completedNodeIds = 13;`

  Specified by:
    `getCompletedNodeIdsList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getCompletedNodeIdsCount

    public int getCompletedNodeIdsCount()

  `repeated string completedNodeIds = 13;`

  Specified by:
    `getCompletedNodeIdsCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getCompletedNodeIds

    public String getCompletedNodeIds(int index)

  `repeated string completedNodeIds = 13;`

  Specified by:
    `getCompletedNodeIds` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getCompletedNodeIdsBytes

    public com.google.protobuf.ByteString getCompletedNodeIdsBytes(int index)

  `repeated string completedNodeIds = 13;`

  Specified by:
    `getCompletedNodeIdsBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setCompletedNodeIds

    public JBPMMessages.ProcessInstance.Builder setCompletedNodeIds(int index,
                                                                    String value)

  `repeated string completedNodeIds = 13;`

### addCompletedNodeIds

    public JBPMMessages.ProcessInstance.Builder addCompletedNodeIds(String value)

  `repeated string completedNodeIds = 13;`

### addAllCompletedNodeIds

    public JBPMMessages.ProcessInstance.Builder addAllCompletedNodeIds(Iterable<String> values)

  `repeated string completedNodeIds = 13;`

### clearCompletedNodeIds

    public JBPMMessages.ProcessInstance.Builder clearCompletedNodeIds()

  `repeated string completedNodeIds = 13;`

### addCompletedNodeIdsBytes

    public JBPMMessages.ProcessInstance.Builder addCompletedNodeIdsBytes(com.google.protobuf.ByteString value)

  `repeated string completedNodeIds = 13;`

### getIterationLevelsList

    public List<JBPMMessages.IterationLevel> getIterationLevelsList()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

  Specified by:
    `getIterationLevelsList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getIterationLevelsCount

    public int getIterationLevelsCount()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

  Specified by:
    `getIterationLevelsCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getIterationLevels

    public JBPMMessages.IterationLevel getIterationLevels(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

  Specified by:
    `getIterationLevels` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setIterationLevels

    public JBPMMessages.ProcessInstance.Builder setIterationLevels(int index,
                                                                   JBPMMessages.IterationLevel value)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### setIterationLevels

    public JBPMMessages.ProcessInstance.Builder setIterationLevels(int index,
                                                                   JBPMMessages.IterationLevel.Builder builderForValue)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addIterationLevels

    public JBPMMessages.ProcessInstance.Builder addIterationLevels(JBPMMessages.IterationLevel value)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addIterationLevels

    public JBPMMessages.ProcessInstance.Builder addIterationLevels(int index,
                                                                   JBPMMessages.IterationLevel value)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addIterationLevels

    public JBPMMessages.ProcessInstance.Builder addIterationLevels(JBPMMessages.IterationLevel.Builder builderForValue)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addIterationLevels

    public JBPMMessages.ProcessInstance.Builder addIterationLevels(int index,
                                                                   JBPMMessages.IterationLevel.Builder builderForValue)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addAllIterationLevels

    public JBPMMessages.ProcessInstance.Builder addAllIterationLevels(Iterable<? extends JBPMMessages.IterationLevel> values)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### clearIterationLevels

    public JBPMMessages.ProcessInstance.Builder clearIterationLevels()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### removeIterationLevels

    public JBPMMessages.ProcessInstance.Builder removeIterationLevels(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### getIterationLevelsBuilder

    public JBPMMessages.IterationLevel.Builder getIterationLevelsBuilder(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### getIterationLevelsOrBuilder

    public JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

  Specified by:
    `getIterationLevelsOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getIterationLevelsOrBuilderList

    public List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

  Specified by:
    `getIterationLevelsOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addIterationLevelsBuilder

    public JBPMMessages.IterationLevel.Builder addIterationLevelsBuilder()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### addIterationLevelsBuilder

    public JBPMMessages.IterationLevel.Builder addIterationLevelsBuilder(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

### getIterationLevelsBuilderList

    public List<JBPMMessages.IterationLevel.Builder> getIterationLevelsBuilderList()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.